All resources All frames

# AutoLookupDirectory

A directory resource that will allow you to fetch non-existing files from CVS. If a resource is not present, it will try to get it from cvs, if it does not exist, it will act like a normal DirectoryResource.

## Inherits

The AutoLookupDirectory class inerits from the following classes:

- Resource
- FramedResource
- AbstractContainer
- ContainerResource
- DirectoryResource
- DirectoryResource

## Attributes description

The AutoLookupDirectory defines the following attributes:

- autoupdate

`autoupdate`

semantics
  Should the entries be always refreshed when requested? Note that if set to true, it will consume time and the performance of the server will collapse.
type
  This attribute is an editable BooleanAttribute
default value
  This attribute defaults to false.

Jigsaw Team
$Id: org.w3c.jigsaw.cvs.AutoLookupDirectory.html,v 1.3 1998/03/27 08:15:30 bmahe Exp $